summaryrefslogtreecommitdiff
path: root/tests/ls/color-dtype-dir
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-08 10:09:19 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit28f1844cefb2decc05858fdf8cc62a9ef63a9a31 (patch)
tree1ba8d121abd2b4bcf259521ce627d1d89d27cefe /tests/ls/color-dtype-dir
parent7455bf9432c0ae3664803695ddcb27613d20ca8e (diff)
downloadcoreutils-28f1844cefb2decc05858fdf8cc62a9ef63a9a31.tar.xz
Convert tests/ls/, too.
Diffstat (limited to 'tests/ls/color-dtype-dir')
-rwxr-xr-xtests/ls/color-dtype-dir25
1 files changed, 5 insertions, 20 deletions
diff --git a/tests/ls/color-dtype-dir b/tests/ls/color-dtype-dir
index 38b1e38ed..7a25c06d3 100755
--- a/tests/ls/color-dtype-dir
+++ b/tests/ls/color-dtype-dir
@@ -24,28 +24,14 @@ if test "$VERBOSE" = yes; then
ls --version
fi
-. $srcdir/../envvar-check
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
+. $srcdir/../test-lib.sh
# Don't let a different umask perturb the results.
umask 22
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-mkdir d other-writable sticky || framework_failure=1
-chmod o+w other-writable || framework_failure=1
-chmod o+t sticky || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+mkdir d other-writable sticky || framework_failure
+chmod o+w other-writable || framework_failure
+chmod o+t sticky || framework_failure
fail=0
@@ -62,7 +48,6 @@ cat <<\EOF > exp || fail=1
^[[m
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail